# 学生请假管理系统

一个基于Java Swing的学生请假管理系统，使用JDBC连接MySQL数据库。

## 项目结构
```
src/
├── main/
│   └── java/
│       └── com/
│           └── absence/
│               ├── dao/        # 数据访问层
│               ├── model/      # 数据模型
│               ├── ui/         # 图形界面
│               ├── util/       # 工具类
│               └── Main.java   # 程序入口
```

## 技术栈
- Java Swing (GUI界面)
- JDBC (数据库连接)
- MySQL (数据库)

## 功能特性
- 学生信息管理
- 请假申请管理
- 请假审批流程
- 统计报表

## 运行环境要求
- JDK 8 或更高版本
- MySQL 5.7 或更高版本
